# Getting Started

This wiki is built in Notion. Here are all the tips you need to contribute.

# The Basics

## Create a Page

In your sidebar, click the `+` that appears next to the word **Workspace** on hover. A new page will appear. Give it a title and start typing like you would in any other document.

## Headings

You can add headings and subheadings in one of two ways:

- Type `/heading` or `/h1`, `/h2`, or `/h3` to choose the heading size you want.
- Use Markdown shortcuts, like `#`, `##`, and `###`.
    - Create inline code by wrapping text with ``` (or with the shortcut `cmd/ctrl + e`).

## Toggle Lists

- Toggle lists streamline your content. Click the arrow to open.
    - Click the arrow again to hide this content.
    - Create a toggle by typing `/toggle` and pressing `enter`.
    - You can add anything to toggles, including images and embeds.

## Callout Blocks

**Notion Tip:** Create a callout block like this by typing `/call` and pressing `enter`. Helpful for adding inline instructions, warnings, disclaimers, and tips. Change the emoji icon by clicking on it.

## Code Blocks

You can add code notation to any Notion page:

- Type `/code` and press `enter`.
- Choose the language from the dropdown in the bottom right corner.
- Here's an example:

    Hover over this block to see the <b>Copy to Clipboard</b> option!

- Your teammates can select any code to comment on it.

## Organizing Pages

Instead of using folders, Notion lets you nest pages inside pages. Type `/page` and press `enter` to create a sub-page inside a page. Like this:

[Copy of Example sub-page](Getting Started/Copy of Example sub page.md)

# Advanced Techniques

Check out this [Notion Editor 101](https://www.notion.so/notion/Notion-editor-101-create-and-edit-68c7c67047494fdb87d50185429df93e) guide for more advanced tips and how-to's.
